Main Page Alphabetical List Data Structures File List Data Fields Globals

# fig.h File Reference

## Data Structures
struct | _wmf_fig_image
struct | _wmf_fig_t
## Defines
#define | WMF_FIG_LANDSCAPE (1 << 0)
#define | WMF_FIG_IMAGE_PNG (2)
#define | WMF_FIG_IMAGE_JPEG (6)
#define | WMF_FIG_ImageIsEPS(Z) (((Z)->flags & WMF_FIG_IMAGE_JPEG) == 0)
#define | WMF_FIG_ImageIsPNG(Z) (((Z)->flags & WMF_FIG_IMAGE_JPEG) == WMF_FIG_IMAGE_PNG )
#define | WMF_FIG_ImageIsJPG(Z) (((Z)->flags & WMF_FIG_IMAGE_JPEG) == WMF_FIG_IMAGE_JPEG)
#define | WMF_FIG_SUPPORTS_PNG (1 << 3)
#define | WMF_FIG_SUPPORTS_JPEG (1 << 4)
#define | WMF_FIG_MAXPECT (1 << 5)
#define | WMF_FIG_NO_MARGINS (1 << 6)
#define | WMF_FIG_GetData(Z) ((wmf_fig_t*)((Z)->device_data))
## Typedefs
typedef _wmf_fig_t | wmf_fig_t
## Functions
void | wmf_fig_function (wmfAPI *)

## Define Documentation

#define WMF_FIG_GetData | ( | Z |  | ) | ((wmf_fig_t*)((Z)->device_data))

#define WMF_FIG_IMAGE_JPEG (6)

#define WMF_FIG_IMAGE_PNG (2)

#define WMF_FIG_ImageIsEPS | ( | Z |  | ) | (((Z)->flags & WMF_FIG_IMAGE_JPEG) == 0)

#define WMF_FIG_ImageIsJPG | ( | Z |  | ) | (((Z)->flags & WMF_FIG_IMAGE_JPEG) == WMF_FIG_IMAGE_JPEG)

#define WMF_FIG_ImageIsPNG | ( | Z |  | ) | (((Z)->flags & WMF_FIG_IMAGE_JPEG) == WMF_FIG_IMAGE_PNG )

#define WMF_FIG_LANDSCAPE (1 << 0)

#define WMF_FIG_MAXPECT (1 << 5)

#define WMF_FIG_NO_MARGINS (1 << 6)

#define WMF_FIG_SUPPORTS_JPEG (1 << 4)

#define WMF_FIG_SUPPORTS_PNG (1 << 3)

## Typedef Documentation

typedef struct _wmf_fig_t wmf_fig_t

## Function Documentation

void wmf_fig_function | ( | wmfAPI * |  | ) |